import { BucketedUserConfig, DVCLogger } from '@devcycle/types';
import { DVCPopulatedUser } from './User';
export declare const StoreKey: {
    Config: string;
    User: string;
    AnonUserId: string;
    AnonymousConfig: string;
    IdentifiedConfig: string;
};
export declare abstract class CacheStore {
    store?: Storage;
    logger?: DVCLogger;
    constructor(localStorage?: Storage, logger?: DVCLogger);
    private save;
    protected load<T>(storeKey: string): T | null | undefined;
    private getConfigKey;
    private getConfigUserIdKey;
    private getConfigFetchDateKey;
    private loadConfigUserId;
    private loadConfigFetchDate;
    remove(storeKey: string): void;
    saveConfig(data: BucketedUserConfig, user: DVCPopulatedUser): void;
    loadConfig(user: DVCPopulatedUser, configCacheTTL?: number): BucketedUserConfig | null | undefined;
    saveUser(user: DVCPopulatedUser): void;
    loadUser(): DVCPopulatedUser | null | undefined;
    saveAnonUserId(userId: string): void;
    loadAnonUserId(): string | null | undefined;
}
export default CacheStore;
